Robotsystem of the Robot Group Leipzig: RaceGround Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RaceGround Class Reference

`#include <raceground.h>`

Collaboration diagram for RaceGround:

[legend]
List of all members.

## Public Member Functions
| RaceGround (const OdeHandle &odehandle)
| RaceGround (const OdeHandle &odehandle, const Matrix &pose)
| RaceGround (const OdeHandle &odehandle, const Position &pos, double angle)
| ~RaceGround ()
| Destructor.
void | setNumberOfSegments (int number)
| you set the number of segments of the track
pair< double, double > | getPositionOnTrack (const Position &p)
| returns the barcode number of the given point returns (length,width) (-1,-1) if point is not on the track
void | addSegments (list< AbstractTrackSection * > listToAdd)
| adds the segments in the list to the SegmentList
void | addSegment (AbstractTrackSection *Segment)
| adds the segment to the SegmentList
void | addSegment (string &name)
| adds the named segment to the SegmentList names are: straightline: StraightLine 90degree : DegreeSegment
void | addSegments (list< string > names)
| adds the named segments in the list to the SegmentList names are: straightline: StraightLine 90degree : 90DegreeSegment
virtual void | draw ()
| draws all the segments stored in SegmentList
virtual void | setPosition (double x, double y, double z)
virtual void | getPosition (double &x, double &y, double &z)
virtual void | setGeometry (double length_, double width_, double height_)
virtual void | setColor (double r, double g, double b)
## Protected Member Functions
virtual void | setParameters (const Matrix &initpose)
virtual void | create ()
virtual void | destroy ()
## Protected Attributes
double | length
double | trackLength
double | width
double | height
Matrix | pose
double | numberOfBarcodes
dSpaceID | raceground_space

## Constructor & Destructor Documentation

RaceGround | ( | const OdeHandle & | odehandle | ) | `[inline]`

RaceGround | ( | const OdeHandle & | odehandle,
|  | const Matrix & | pose |
| ) |  |  | `[inline]`

RaceGround | ( | const OdeHandle & | odehandle,
|  | const Position & | pos,
|  | double | angle |
| ) |  |  | `[inline]`

~RaceGround | ( |  | ) | `[inline]`

Destructor.

## Member Function Documentation

void addSegment | ( | string & | name | ) | `[inline]`

adds the named segment to the SegmentList names are: straightline: StraightLine 90degree : DegreeSegment

void addSegment | ( | AbstractTrackSection * | Segment | ) | `[inline]`

adds the segment to the SegmentList

void addSegments | ( | list< string > | names | ) | `[inline]`

adds the named segments in the list to the SegmentList names are: straightline: StraightLine 90degree : 90DegreeSegment

void addSegments | ( | list< AbstractTrackSection * > | listToAdd | ) | `[inline]`

adds the segments in the list to the SegmentList

virtual void create | ( |  | ) | `[inline, protected, virtual]`

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

virtual void draw | ( |  | ) | `[inline, virtual]`

draws all the segments stored in SegmentList

virtual void getPosition | ( | double & | x,
|  | double & | y,
|  | double & | z |
| ) |  |  | `[inline, virtual]`

pair<double, double> getPositionOnTrack | ( | const Position & | p | ) | `[inline]`

returns the barcode number of the given point returns (length,width) (-1,-1) if point is not on the track

virtual void setColor | ( | double | r,
|  | double | g,
|  | double | b |
| ) |  |  | `[inline, virtual]`

virtual void setGeometry | ( | double | length_,
|  | double | width_,
|  | double | height_ |
| ) |  |  | `[inline, virtual]`

void setNumberOfSegments | ( | int | number | ) | `[inline]`

you set the number of segments of the track

virtual void setParameters | ( | const Matrix & | initpose | ) | `[inline, protected, virtual]`

virtual void setPosition | ( | double | x,
|  | double | y,
|  | double | z |
| ) |  |  | `[inline, virtual]`

## Member Data Documentation

double height`[protected]`

double length`[protected]`

double numberOfBarcodes`[protected]`

Matrix pose`[protected]`

dSpaceID raceground_space`[protected]`

double trackLength`[protected]`

double width`[protected]`

The documentation for this class was generated from the following file:

- raceground.h